Bug 511224 (CVE-2009-1380) - CVE-2009-1380 jbossas JMX-Console cross-site-scripting in filter parameter
Summary: CVE-2009-1380 jbossas JMX-Console cross-site-scripting in filter parameter
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-1380
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-14 10:33 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-29 08:16:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1636 normal SHIPPED_LIVE Moderate: JBoss Enterprise Application Platform 4.3.0.CP07 update 2009-12-09 23:14:02 UTC
Red Hat Product Errata RHSA-2009:1637 normal SHIPPED_LIVE Moderate: JBoss Enterprise Application Platform 4.2.0.CP08 update 2009-12-09 23:32:14 UTC
Red Hat Product Errata RHSA-2009:1649 normal SHIPPED_LIVE Moderate: JBoss Enterprise Application Platform 4.3.0.CP07 update 2009-12-09 23:51:47 UTC
Red Hat Product Errata RHSA-2009:1650 normal SHIPPED_LIVE Moderate: JBoss Enterprise Application Platform 4.2.0.CP08 update 2009-12-10 00:03:48 UTC

Comment 1 Mark J. Cox 2009-12-04 10:29:35 UTC
From JBPAPP-1983 (https://jira.jboss.org/jira/browse/JBPAPP-1983): 

The jmx console does not encode quote characters if they trailing after the
colon (key property) , which allows cross-site-scripting attacks.

Comment 2 errata-xmlrpc 2009-12-09 23:14:13 UTC
This issue has been addressed in following products:

  JBEAP 4.3.0 for RHEL 4

Via RHSA-2009:1636 https://rhn.redhat.com/errata/RHSA-2009-1636.html

Comment 3 errata-xmlrpc 2009-12-09 23:32:26 UTC
This issue has been addressed in following products:

  JBEAP 4.2.0 for RHEL 4

Via RHSA-2009:1637 https://rhn.redhat.com/errata/RHSA-2009-1637.html

Comment 4 errata-xmlrpc 2009-12-09 23:51:57 UTC
This issue has been addressed in following products:

  JBEAP 4.3.0 for RHEL 5

Via RHSA-2009:1649 https://rhn.redhat.com/errata/RHSA-2009-1649.html

Comment 5 errata-xmlrpc 2009-12-10 00:03:57 UTC
This issue has been addressed in following products:

  JBEAP 4.2.0 for RHEL 5

Via RHSA-2009:1650 https://rhn.redhat.com/errata/RHSA-2009-1650.html


Note You need to log in before you can comment on or make changes to this bug.